%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  legocolors
%global packver   0.4.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.4.0
Release:          1%{?dist}%{?buildtag}
Summary:          Official Lego Color Palettes

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch

%description
Provides a dataset containing several color naming conventions established
by multiple sources, along with associated color metadata. The package
also provides related helper functions for mapping among the different
Lego color naming conventions and between Lego colors, hex colors, and 'R'
color names, making it easy to convert any color palette to one based on
existing Lego colors while keeping as close to the original color palette
as possible. The functions use nearest color matching based on Euclidean
distance in RGB space. Naming conventions for color mapping include those
from 'BrickLink' (<https://www.bricklink.com>), 'The Lego Group'
(<https://www.lego.com>), 'LDraw' (<https://www.ldraw.org/>), and 'Peeron'
(<http://www.peeron.com/>).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
